# not using %%{upstream_name} for %%{name}, because most of Source0
# is debian-specific and we don't want that. The only useful thing
# there is hardening-check and that's why package is named so.
%global		upstream_name	hardening-wrapper

Summary:	Tool to check ELF for being built hardened
Name:		hardening-check
Version:	2.4
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
URL:		http://packages.debian.org/source/sid/%{upstream_name}
Source0:	http://ftp.debian.org/debian/pool/main/h/%{upstream_name}/%{upstream_name}_%{version}.tar.gz
Patch0:		hardening-check-locale_anti_barfer.diff
BuildArch:	noarch
BuildRequires:	perl-podlators
Requires:	binutils

%description
%{name} is a tool to check whether an already compiled ELF file
was built using hardening flags.

It checks, using readelf, for these hardening characteristics:

  * Position Independent Executable
  * Stack protected
  * Fortify source functions
  * Read-only relocations
  * Immediate binding


%prep

%setup -q -n %{upstream_name}
%patch0 -p1

# remove debian-specific checks from Makefile
sed -i -e '/^[ \t]*if \[ -z \"\$.DEB_/d' Makefile

%build
%make

%check
LC_ALL=C make check

%install

install -d %{buildroot}%{_bindir} 
install -d %{buildroot}%{_mandir}/man1
install -pm 0755 build-tree/%{name} %{buildroot}%{_bindir}/
install -pm 0644 build-tree/%{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc AUTHORS TODO debian/changelog debian/copyright debian/README.Debian
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.4-2.mga4
+ Revision: 541669
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 oden <oden> 2.4-1.mga4
+ Revision: 496294
- P0: make it work despite locales
- imported package hardening-check


* Thu Sep 19 2013 Björn Esser <bjoern.esser@gmail.com> - 2.4-1
- new upstream release (#1008372)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.3-3
- Perl 5.18 rebuild

* Sun Jun 09 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-2
- removed BuildRequires: binutils glibc-common
- not renaming docs in debian/
- removed terms to be possibly subject to bitrot from %%description
- as suggested by Ville Skyttä during review

* Fri Jun 07 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-1
- Initial rpm release (#971836)
